#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	24.12.1
%define		qt_ver		6.4.0
%define		kf_ver		5.240.0
%define		kaname		audiotube
Summary:	A client for YouTube Music
Summary(pl.UTF-8):	Klient YouTube Music
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v3
Group:		X11/Applications/Multimedia
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	cb7d09f37292842dab97799a33e0fcdb
URL:		https://apps.kde.org/audiotube/
BuildRequires:	Qt6Concurrent-devel >= %{qt_ver}
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6DBus-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Multimedia-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Sql-devel >= %{qt_ver}
BuildRequires:	Qt6Svg-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.16.0
BuildRequires:	futuresql-qt6-devel
BuildRequires:	gettext-tools
BuildRequires:	kf6-extra-cmake-modules >= 5.81
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kcrash-devel >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-addons-devel >= 0.11.0
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
# C++20
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3
BuildRequires:	python3-pybind11
BuildRequires:	python3-yt-dlp
BuildRequires:	python3-ytmusicapi >= 1.0.2
BuildRequires:	qcoro-qt6-devel >= 0.10.0
BuildRequires:	qt6-build >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt6Concurrent >= %{qt_ver}
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6DBus >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Multimedia >= %{qt_ver}
Requires:	Qt6Multimedia-plugin-gstreamer >= %{qt_ver}
Requires:	Qt6Network >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Sql >= %{qt_ver}
Requires:	Qt6Svg >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kcrash >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kirigami-addons >= 0.11.0
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	python3-yt-dlp
Requires:	python3-ytmusicapi >= 1.0.2
Requires:	qcoro-qt6 >= 0.10.0
Obsoletes:	ka5-audiotube < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AudioTube is a client for YouTube Music.

%description -l pl.UTF-8
AudioTube to klient YouTube Music.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/audiotube
%{_desktopdir}/org.kde.audiotube.desktop
%{_iconsdir}/hicolor/scalable/apps/org.kde.audiotube.svg
%{_datadir}/metainfo/org.kde.audiotube.appdata.xml
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-audiotube.git;a=log;h=master

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7b39ef7
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5f66dfe
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e9ec808
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 60df078
- real cleanup + dependencies update

* Sat Oct 19 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 78512de
- clean up

* Thu Oct 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 1501c4c
- pl, cleanup

* Thu Oct 17 2024 Jakub Bogusz <qboosh@pld-linux.org> cd5c147
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e22d11c
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8ded0b2
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 48da7f2
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 3f4aa2d
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c107a07
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 078e5ab
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> eca58e8
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 53f565e
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> abbb1e4
- updated to 24.02.0

